server:
  port: 8004
  servlet:
    context-path: /simulation/resource/scheduler

#* -------------------------------- Comment --------------------------------
constant:
  temporary-directory: "/mnt/disk001/simulation-cloud/simulation-resource-scheduler-8004/temp/"
  upload-osgb-url: "http://simulation-resource-video:8007/simulation/resource/video/uploadToLocal"
  generate-video-url: "http://simulation-resource-video:8007/simulation/resource/video/generate"

scheduler:
  simulation-cloud-ip: 10.14.85.241
  host:
    hostname: 10.14.85.237
    username: root
    password: Ubuntu_cicv
  start-topic: project
  stop-topic: stopProject
  linux-path:
    temp: /mnt/disk001/simulation-cloud/simulation-resource-scheduler-8004/temp/
    pod-template-yaml: /mnt/disk001/simulation-cloud/simulation-resource-scheduler-8004/pod-template/pod-template.yaml
    vtd-pod-template-yaml: /mnt/disk001/simulation-cloud/simulation-resource-scheduler-8004/pod-template/vtd-pod-template.yaml
    carsim-pod-template-yaml: /mnt/disk001/simulation-cloud/simulation-resource-scheduler-8004/pod-template/carsim-pod-template.yaml
    pod-yaml-directory: /mnt/disk001/simulation-cloud/simulation-resource-scheduler-8004/pod-yaml/
    score-py: /SimulationCloud/Evaluate
  minio-path:
    project-result: /project/

#* -------------------------------- 外部接口 --------------------------------

simulation-cloud:
  client-id: simulation-oauth-client
  client-secret: hPT7zVteEXvRzS41NhJXoQYqtGmai3W0
  token-uri: http://10.14.85.241/simulation/oauth/server/token
  evaluation-level-uri: http://10.14.85.241/simulation/resource/server/simulationProject/saveEvaluationLevel

algorithm-platform:
  appid: 2af6f44d98104dc5adcbfb49809ff9d5
  secret: db129a741fde1e9f474199dea24f3901
  token-uri: https://open.zoogooy.com.cn/cgi-bin/token/token
  algorithm-addr-uri: https://open.zoogooy.com.cn/cgi-bin/api/icv-algorithm-agg/simulation/download

minio:
  endpoint: http://10.14.85.242:9000/
  endpoint-without-http: 10.14.85.242:9000
  access-key: minioadmin
  secret-key: 1qaz2wsx!
  bucket-name: simulation-cloud

spring:
  mvc:
    async:
      request-timeout: 30000
  servlet:
    multipart:
      max-request-size: 10240MB
      max-file-size: 10240MB
  datasource:
    druid:
      url: jdbc:mysql://10.14.85.240:3306/simulation?characterEncoding=utf8&connectTimeout=60000&socketTimeout=60000&useSSL=false
      username: root
      password: 1qaz2wsx!
      driver-class-name: com.mysql.jdbc.Driver
      initial-size: 200
      min-idle: 200
      max-active: 200
      max-wait: 300000
      filter:
        stat:
          enabled: true
        wall:
          enabled: true
        slf4j:
          enabled: true
      stat-view-servlet:
        enabled: true
        url-pattern: /druid/*
        login-username: druid
        login-password: 1qaz2wsx!
  #* -------------------------------- kafka 消息队列 --------------------------------
  kafka:
    hostname: 10.14.85.239
    username: root
    password: Ubuntu_cicv
    delete-command: /mnt/disk001/kafka_2.13-3.1.0/bin/kafka-topics.sh --bootstrap-server 10.14.85.239:9092 --delete --topic topicName
    bootstrap-servers: 10.14.85.239:9092    # 指定连接的 kafka 集群。
    listener:
      missing-topics-fatal: false
    consumer:
      group-id: simulation-resource-scheduler
      enable-auto-commit: true
      auto-commit-interval: 1000
      auto-offset-reset: latest
      key-deserializer: org.apache.kafka.common.serialization.StringDeserializer
      value-deserializer: org.apache.kafka.common.serialization.StringDeserializer
      properties:
        session:
          timeout:
            ms: 12000
        request:
          timeout:
            ms: 180000
    producer:
      retries: 3
      acks: 1
      batch-size: 16384
      buffer-memory: 33554432
      key-serializer: org.apache.kafka.common.serialization.StringSerializer
      value-serializer: org.apache.kafka.common.serialization.StringSerializer
      properties:
        linger:
          ms: 0
  cache:
    type: redis
  redis:
    host: 10.14.85.240
    port: 6379
    password: 1qaz2wsx!
    connect-timeout: 10000
    timeout: 10000
    database: 2
    lettuce:
      pool:
        max-active: 8
        max-idle: 8
        min-idle: 0
        max-wait: 1000

kubernetes:
  namespace: simulation
  pod-timeout: 120000
  image-vtd-gpu: 10.14.85.237:5000/vtd.run.perception.release:latest
  command-vtd-gpu: /Controller/config/docker_cloud.ini
  command-vtd-carsim-gpu: /Controller/config/docker_cloud_carsim.ini
  image-vtd-nogpu: 10.14.85.237:5000/vtd.run.control.release:latest
  command-vtd-nogpu: /Controller/config/docker_cloud_noig.ini
  command-vtd-carsim-nogpu: /Controller/config/docker_cloud_noig_carsim.ini
  carsim-image: 10.14.85.237:5000/carsim:latest
  carsim-command: /root/VTD_CarSim
  node-list:
    - hostname: cicv-node-1
      parallelism: 2
    - hostname: cicv-node-2
      parallelism: 2
    - hostname: cicv-node-3
      parallelism: 2
    - hostname: cicv-node-4
      parallelism: 2
    - hostname: cicv-node-5
      parallelism: 2
    - hostname: cicv-node-6
      parallelism: 2
    - hostname: cicv-node-7
      parallelism: 2
    - hostname: cicv-node-8
      parallelism: 2


git:
  name: gitlab-441-442-443
  url: 10.14.85.241:441

docker:
  registry: 10.14.85.237:5000
  registry-volume: /mnt/disk001/simulation-cloud/docker/registry-5000/data/docker/registry/v2/repositories
  max-algorithm-image: 30
  min-algorithm-image: 10
  node-list:
    - name: gpu001
      hostname: 10.14.85.237
      username: root
      password: Ubuntu_cicv
    - name: gpu002
      hostname: 10.14.85.236
      username: root
      password: Ubuntu_cicv
    - name: gpu003
      hostname: 10.14.85.238
      username: root
      password: Ubuntu_cicv
    - name: cicv-node-1
      hostname: 20.7.1.101
      username: root
      password: Ubuntu_cicv
    - name: cicv-node-2
      hostname: 20.7.1.102
      username: root
      password: Ubuntu_cicv
    - name: cicv-node-3
      hostname: 20.7.1.103
      username: root
      password: Ubuntu_cicv
    - name: cicv-node-4
      hostname: 20.7.1.104
      username: root
      password: Ubuntu_cicv
    - name: cicv-node-5
      hostname: 20.7.1.105
      username: root
      password: Ubuntu_cicv
    - name: cicv-node-6
      hostname: 20.7.1.106
      username: root
      password: Ubuntu_cicv
    - name: cicv-node-7
      hostname: 20.7.1.107
      username: root
      password: Ubuntu_cicv
    - name: cicv-node-8
      hostname: 20.7.1.108
      username: root
      password: Ubuntu_cicv
